Skip to Content

Update a mailbox note

Updates the fields you name and keeps the rest. Only the note's author may. Request: PATCH /v1/mailboxes/{id}/threads/{threadId}/notes/{noteId}.

PATCH
/v1/mailboxes/{id}/threads/{threadId}/notes/{noteId}

Updates the fields you name and keeps the rest. Only the note's author may.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
threadId*string
Match^thread_[0-9a-hjkmnp-tv-z]{16,24}$
noteId*string
Match^note_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
body?string|null
color?string|null|null
pinned?boolean|null

Response Body

MailboxNote

application/json
  1. response
id*MailboxNoteId
Match^note_[0-9a-hjkmnp-tv-z]{16,24}$
author*
body*string
color*string|null
pinned*boolean
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.updateNote({
  "id": "example",
  "threadId": "example",
  "noteId": "example"
});
Example Response
{
  "id": "string",
  "author": {
    "kind": "user",
    "id": "string",
    "displayName": "string"
  },
  "body": "string",
  "color": "string",
  "pinned": true,
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation